Page MenuHomePhabricator

Community bonding evaluation for "Implement OAuth Support for Pywikibot"
Closed, ResolvedPublic

Description

  • Detailed plan agreed with mentors: T93352 (may need revision)
  • Phabricator project created: Pywikibot-OAuth
  • Meetings with mentors started: Meeting held through Google+ Hangouts on May 12 at 14:55 WIB/07:55 UTC for 30 minutes. Future meetings times are TBD. Generally we'll communicate over email-list and IRC channel.
  • Bonding period report published: T100097

Event Timeline

VcamX created this task.May 7 2015, 5:21 AM
VcamX assigned this task to Niharika.
VcamX raised the priority of this task from to Low.
VcamX updated the task description. (Show Details)
VcamX added subscribers: VcamX, Qgil, Aklapper.
Niharika reassigned this task from Niharika to VcamX.May 7 2015, 5:24 AM
Niharika raised the priority of this task from Low to Normal.
Niharika updated the task description. (Show Details)
Niharika set Security to None.
Niharika added subscribers: jayvdb, Halfak.
Niharika reassigned this task from VcamX to jayvdb.May 14 2015, 3:04 AM
Niharika added a subscriber: Niharika.

@VcamX Have you requested a Phabricator project yet? Community Bonding period ends on May 25 when this task will be up for evaluation.

VcamX added a comment.May 15 2015, 2:40 AM

@NiharikaKohli T98291, that's the request I proposed. Pywikibot-OAuth is my project.

@VcamX, add it to the description please.

VcamX updated the task description. (Show Details)May 16 2015, 1:20 AM
VcamX updated the task description. (Show Details)May 21 2015, 3:59 PM
VcamX renamed this task from Community Bonding evaluation for "Implement OAuth Support for Pywikibot" to Community bonding evaluation for "Implement OAuth Support for Pywikibot".May 23 2015, 3:30 PM
VcamX updated the task description. (Show Details)
VcamX updated the task description. (Show Details)May 24 2015, 5:28 AM

Looks all done! Up for review - ping @jayvdb, evaluate and close as appropriate.

A small update is needed for https://gerrit.wikimedia.org/r/#/c/213977/ , and we may be able to merge it, which would mean the report could be revised to indicate that a large patch was also merged. ;-)

jayvdb added a comment.Jun 3 2015, 2:09 AM

https://gerrit.wikimedia.org/r/#/c/213977/ has been merged after a day of patch polishing , so I would like the community bonding report to be updated a little to indicate that the main work done during the community bonding period was well received by the community, but that a minor fixes were required and completed after the community bonding period was over.

And perhaps add a lesson learnt to get your patches up for review before the deadline, as our reviewers will require lots of small iterative improvements even to very good patches. ;-)

Anyway, very well done.

VcamX added a comment.Jun 3 2015, 9:45 AM

@jayvdb Report updated

@jayvdb, close as appropriate.

jayvdb moved this task from Backlog to Project admin on the Pywikibot-OAuth board.Jun 5 2015, 8:15 AM
jayvdb closed this task as Resolved.Jun 8 2015, 8:50 AM

Looks good.